[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'gettext' (#fcl)

# TMOFileHeader

Structure found at the head of a .mo file.

## Declaration

Source position: gettext.pp line 29

`type TMOFileHeader = packed record`
`magic: LongWord;` |  | Magic constant, should equal MOFileHeaderMagic.
`revision: LongWord;` |  | File revision
`nstrings: LongWord;` |  | Number of string pairs in the file
`OrigTabOffset: LongWord;` |  | Offset of the original strings description table.
`TransTabOffset: LongWord;` |  | Offset of the translated strings description table.
`HashTabSize: LongWord;` |  | Size of hashing table.
`HashTabOffset: LongWord;` |  | Offset of hashing table.
`end;`

## Description

This structure describes the structure of a .mo file with string localizations.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.